RESTinio

Public Member Functions | List of all members
restinio::connection_count_limits::connection_lifetime_monitor_t< noop_connection_count_limiter_t > Class Reference

Specialization of connection_lifetime_monitor for the case when connection count limiter is not used at all. More...

`#include <connection_count_limiter.hpp>`

## Public Member Functions
| connection_lifetime_monitor_t (not_null_pointer_t< noop_connection_count_limiter_t >) noexcept

## Detailed Description

Specialization of connection_lifetime_monitor for the case when connection count limiter is not used at all.

Holds nothing. Does nothing.

Since
  v.0.6.12

Definition at line 432 of file connection_count_limiter.hpp.

## Constructor & Destructor Documentation

## ◆ connection_lifetime_monitor_t()

restinio::connection_count_limits::connection_lifetime_monitor_t< noop_connection_count_limiter_t >::connection_lifetime_monitor_t | ( | not_null_pointer_t< noop_connection_count_limiter_t > |  | ) |
| inline noexcept

Definition at line 435 of file connection_count_limiter.hpp.

The documentation for this class was generated from the following file:

- restinio/connection_count_limiter.hpp